﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace TOPLauncher
{
    public partial class FormMain : Form
    {
        TOPLauncherConfig config;

        public FormMain()
        {
            InitializeComponent();
        }

        private void llRegister_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start(config.registerLink);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            if (TOPLauncherConfig.Exists())
                config = TOPLauncherConfig.Load();
            else
                config = new TOPLauncherConfig();

            tbName.Text = config.name;
            tbPassword.Text = config.password;
            cbRemember.Checked = config.remember;
        }

        private void bStart_Click(object sender, EventArgs e)
        {
            string args = String.Format("enc id={0} pw={1} ip={2}", tbName.Text, tbPassword.Text, config.server);

            try
            {
                Process.Start("tetris.exe", args);
                if (cbRemember.Checked)
                {
                    config.name = tbName.Text;
                    config.password = tbPassword.Text;
                }
                else
                {
                    config.name = "";
                    config.password = "";
                }
                config.remember = cbRemember.Checked;
                config.Save();
                this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void bExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void bSettings_Click(object sender, EventArgs e)
        {
            var fSettings = new FormSettings();
            fSettings.ShowDialog(this);
        }
    }
}
