﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace TOPLauncher
{
    public partial class FormSettings : Form
    {
        public FormSettings()
        {
            InitializeComponent();
        }

        private void bClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void FormSettings_Load(object sender, EventArgs e)
        {
            try
            {
                DirectoryInfo di = new DirectoryInfo("DasPatch");

                if (di.Exists)
                {
                    foreach (DirectoryInfo d in di.GetDirectories())
                    {
                        if (File.Exists(Path.Combine(d.FullName, "SJE.JHH")))
                            cbPresets.Items.Add(d.Name);

                    }
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(this, ex.Message);
            }

            //if (cbPresets.Items.Count > 1)
            //    cbPresets.SelectedIndex = 0;

        }

        private void bApplyPatch_Click(object sender, EventArgs e)
        {
            try
            {
                string preset = cbPresets.SelectedItem as string;

                if (preset == null)
                    return;

                var src = Path.Combine("DasPatch", preset);
                src = Path.Combine(src, "SJE.JHH");
                var dst = Path.Combine("config", "SJE.JHH");

                File.Copy(src, dst, true);
                MessageBox.Show(this, String.Format(Strings.msgPatchSuccessful, preset));
            }
            catch (Exception ex)
            {
                MessageBox.Show(this, ex.Message);
            }
        }
    }
}
