﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml.Serialization;

namespace TOPLauncher
{
    public class TOPLauncherConfig
    {
        public string name = "";
        public string password = "";
        public bool remember = true;
        public string server = "toj.mooo.com";
        public string registerLink = "http://toj.mooo.com/top/register.php";

        private static string fileName = "TOPLauncherConfig.xml";

        public void Save()
        {
            try
            {
                var serializer = new XmlSerializer(typeof(TOPLauncherConfig));
                using (StreamWriter sw = new StreamWriter(fileName))
                {
                    serializer.Serialize(sw, this);
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }
        }

        public static bool Exists()
        {
            return File.Exists(fileName);
        }

        public static TOPLauncherConfig Load()
        {
            TOPLauncherConfig res = null;

            try
            {
                var serializer = new XmlSerializer(typeof(TOPLauncherConfig));
                using (StreamReader sr = new StreamReader(fileName))
                {
                    res = (TOPLauncherConfig)serializer.Deserialize(sr);
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }

            return res;
        }
    }
}
